using Cloud.Requests;
using FluentValidation;

namespace Cloud.Validation;

public class LoginValidator : AbstractValidator<LoginRequest>
{
    public LoginValidator()
    {
        RuleFor(request => request.Email)
            .NotEmpty().WithMessage("Email обязателен для заполнения")
            .EmailAddress().WithMessage("Некорректный формат Email");

        RuleFor(request => request.Password)
            .NotEmpty().WithMessage("Пароль обязателен для заполнения")
            .MinimumLength(8).WithMessage("Пароль должен быть не менее 8 символов");
    }
}
