using Cloud.Requests;
using FluentValidation;

namespace Cloud.Validation;

public class RegisterValidator : AbstractValidator<RegisterRequest>
{
    public RegisterValidator()
    {
        RuleFor(user => user.Name)
            .NotEmpty().WithMessage("Имя обязательно для заполнения")
            .MaximumLength(50).WithMessage("Имя должно быть не более 50 символов");

        RuleFor(user => user.Email)
            .NotEmpty().WithMessage("Email обязателен для заполнения")
            .EmailAddress().WithMessage("Некорректный формат Email");

        RuleFor(user => user.Password)
            .NotEmpty().WithMessage("Пароль обязателен для заполнения")
            .MinimumLength(8).WithMessage("Пароль должен быть не менее 8 символов");
    }
}